%define name dblog
%define version 1.2
%define release 1mdv

Summary: DBLog
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: General Public Licence
Group: Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Requires: gambas2-runtime >= 1.9.48,gambas2-runtime < 2.90,gambas2-gb-qt >= 1.9.48,gambas2-gb-qt < 2.90,gambas2-gb-form >= 1.90.1,gambas2-gb-form < 2.90.0,gambas2-gb-db >= 1.9.48,gambas2-gb-db < 2.90,gambas2-gb-db-form >= 1.90.1,gambas2-gb-db-form < 2.90.0,gambas2-gb-desktop >= 1.9.48,gambas2-gb-desktop < 2.90,gambas2-gb-net >= 1.9.48,gambas2-gb-net < 2.90,gambas2-gb-net-curl >= 1.9.48,gambas2-gb-net-curl < 2.90,gambas2-gb-pcre >= 1.9.48,gambas2-gb-pcre < 2.90,gambas2-gb-qt-ext >= 1.9.48,gambas2-gb-qt-ext < 2.90,gambas2-gb-settings >= 1.9.48,gambas2-gb-settings < 2.90,gambas2-gb-vb >= 1.9.48,gambas2-gb-vb < 2.90,gambas2-gb-web >= 1.90.1,gambas2-gb-web < 2.90.0,gambas2-gb-xml >= 1.9.48,gambas2-gb-xml < 2.90
AutoReqProv: no

%description
Radio amateurs logging program based on relational data bases. Includes a CW Keyer based on cwdaemon. It shows the azimuthal map of the earth centered on the QTH. Receives cluster spots via xdx and checks them against the statistics data base.
Clicking on a spot sets the radio frequency and mode.
Using Hamlibs with rigctld.
Integrated with fldigi.
Can store QSL's as images together with the QSO's
This program is written in Gambas, so you will need Gambas to be installed.

%prep
rm -rf %{buildroot}

%setup -q -n dblog

%build
/usr/local/bin/gbc2 -a -g -t -p -m 
gba2

%install
install -d %{buildroot}/%{_bindir}
install -p dblog.gambas %{buildroot}/%{_bindir}/dblog
install -d %{buildroot}/%{_miconsdir}
install -d %{buildroot}/%{_iconsdir}
install -d %{buildroot}/%{_liconsdir}
install -p .icon/16.png %{buildroot}/%{_miconsdir}/dblog.png
install -p .icon/32.png %{buildroot}/%{_iconsdir}/dblog.png
install -p .icon/48.png %{buildroot}/%{_liconsdir}/dblog.png
install -d %{buildroot}/%{_datadir}/applications
cat << EOF > %{buildroot}/%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=DBLog
Comment=Radio amateurs logging program based on relational data bases. Includes a CW Keyer based on cwdaemon. It shows the azimuthal map of the earth centered on the QTH. Receives cluster spots via xdx and checks them against the statistics data base. Clicking on a spot sets the radio frequency and mode. Using Hamlibs with rigctld. Integrated with fldigi. Can store QSL's as images together with the QSO's
Exec=%{_bindir}/dblog
Icon=dblog.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Communications;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/dblog
/%{_miconsdir}/dblog.png
/%{_iconsdir}/dblog.png
/%{_liconsdir}/dblog.png
/%{_datadir}/applications/%{name}.desktop

%changelog

* Mon Aug 03 2009 Pino <pinozollo@gmail.com> 1.2
- Bug in WB4 eliminated
- Distance and bearing re-calculated after inserting the locator

* Tue Jul 28 2009 Pino <pinozollo@gmail.com> 1.1

* Tue Jul 28 2009 Pino <pinozollo@gmail.com> 1.1
- Corrected a bug in"Worked Before" table.
- Added QSL saving as images into the database.

* Mon Jul 13 2009 Pino <pinozollo@gmail.com> 1.0

* Mon Jul 13 2009 Pino <pinozollo@gmail.com> 1.0
- Distribution release

* Sat Jul 11 2009 Pino <pinozollo@gmail.com> 1.0.1
- Changed look
- Separate window for database selection
- Improved QSOList

* Sat Jun 27 2009 Pino <pinozollo@gmail.com> 0.15.3

* Tue Jun 23 2009 Pino <pinozollo@gmail.com> 0.15.2
- Can export ADIF in UTF-8 or in ISO-8859-1

* Thu Jun 18 2009 Pino <pinozollo@gmail.com> 0.14.21
- Full locale compliant


* Mon Jun 15 2009 Pino <pinozollo@gmail.com> 0.14.15
- Minor changes

* Mon Jun 15 2009 Pino <pinozollo@gmail.com> 0.14.14
- Control fldigi

* Mon Jun 01 2009 Pino <pinozollo@gmail.com> 0.14.7

* Mon Jun 01 2009 Pino <pinozollo@gmail.com> 0.14.6

* Sun May 31 2009 Pino <pinozollo@gmail.com> 0.14.3

* Sun May 31 2009 Pino <pinozollo@gmail.com> 0.14.2
- Added integration with fldigi.
- Can import from LoTW and eQSL.

* Sat Feb 28 2009 Pino <pinozollo@gmail.com> 0.13.5

* Mon Apr 21 2008 Pino <pinozollo@gmail.com> 


* Thu Apr 22 2008 Pino <pinozollo@gmail.com>
  Version 0.9.1 uses the daemon 'rigctld' of Hamlib to control
  all the brands and model supported by Hamlib

* Thu Apr 20 2008 Pino <pinozollo@gmail.com>
  Version 0.8.1 permits to control the radio clicking on cluster
  spots

* Thu Feb 28 2008 Pino <pinozollo@gmail.com> 0.7.14
- QSL management added

* Thu Feb 28 2008 Pino <pinozollo@gmail.com> 
- Added:
- ADIF import and export,
- DXCC statistics
- Azimuthal view of the earth


